package yawlservice;

public abstract class WorkItemMessage extends YAWLMessage{

  public static final String TYPE = "WI";
  private ExternalWorkItem wi = null;

  protected WorkItemMessage(ExternalWorkItem wi){
    super();
    this.wi = wi;
  }

  public ExternalWorkItem getWorkItem(){
    return wi;
  }

  protected String getType(){
    return TYPE;
  }

  protected String getBody(){
    return getName() + SEPARATOR + wi.toTCPIP();
  }

  protected abstract String getName();

}
