package yawlservice;

public abstract class CaseMessage extends YAWLMessage{

  public static final String TYPE = "CASE";
  private ExternalCase ec = null;

  protected CaseMessage(ExternalCase ec){
    super();
    this.ec = ec;
  }

  public ExternalCase getCase(){
    return ec;
  }

  protected String getType(){
    return TYPE;
  }

  protected String getBody(){
    return getName() + SEPARATOR + ec.toTCPIP();
  }

  protected abstract String getName();

}
